/**
 *    Copyright 2006 - 2011 Opera Software ASA
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 **/


window.cls || (window.cls = {});

/**
  * @constructor
  * @extends BaseEditor
  */

window.cls.ConditionEditor = function(breakpoints)
{

  this._init = function()
  {
    SimpleBaseEditor.prototype._init.call(this);
    this._breakpoints = breakpoints;
  };

  /* interface implementation */

  this.set_enter_context = function(ele)
  {
    return {uid: parseInt(ele.get_attr('parent-node-chain', 
                                       'data-breakpoint-id')),
		        value: ele.textContent};
  };

  this.onsubmit = function(context)
  {
    this._breakpoints.add_condition(context.value, context.uid);
  }

  this._init();

};

cls.ConditionEditor.prototype = new SimpleBaseEditor();
